### Method

# ECal ComponentDateTime take_value

since: 3.34

#### Declaration [src]

    void
    e_cal_component_datetime_take_value (
      ECalComponentDateTime* dt,
      ICalTime* value
    )

#### Description [src]

Sets the `value` of the `dt` and assumes ownership of the `value`. Any previously set value is freed.

Available since: 3.34

#### Parameters

`value`

  Type: `None`

  The value to take, as an `ICalTime`.

  The instance takes ownership of the data, and is responsible for freeing it.